Last Comment Bug 363917 - js_GC fails to clear cx->lastInternalResult root
: js_GC fails to clear cx->lastInternalResult root
Status: RESOLVED FIXED
: fixed1.8.0.10, fixed1.8.1.2
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla1.9alpha1
Assigned To: Brendan Eich [:brendan]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 23:26 PST by Brendan Eich [:brendan]
Modified: 2006-12-18 16:42 PST (History)
3 users (show)
dveditz: blocking1.8.1.2+
brendan: wanted1.8.1.x+
dveditz: blocking1.8.0.10+
bob: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (817 bytes, patch)
2006-12-14 23:28 PST, Brendan Eich [:brendan]
igor: review+
dveditz: approval1.8.1.2+
dveditz: approval1.8.0.10+
Details | Diff | Review

Description Brendan Eich [:brendan] 2006-12-14 23:26:22 PST
We never added that clearing step to js_ForceGC, which moved into js_GC in the patch for bug 341821. D'oh! Patch next.

/be
Comment 1 Brendan Eich [:brendan] 2006-12-14 23:27:52 PST
cx->lastInternalResult debuted in the patch for bug 313952.

/be
Comment 2 Brendan Eich [:brendan] 2006-12-14 23:28:34 PST
Created attachment 248719 [details] [diff] [review]
fix
Comment 3 Brendan Eich [:brendan] 2006-12-15 00:00:51 PST
Fixed on trunk:

Checking in jsgc.c;
/cvsroot/mozilla/js/src/jsgc.c,v  <--  jsgc.c
new revision: 3.192; previous revision: 3.191
done

/be
Comment 4 Brendan Eich [:brendan] 2006-12-15 00:04:21 PST
Comment on attachment 248719 [details] [diff] [review]
fix

Fixes bloat bugs.

/be
Comment 5 Daniel Veditz [:dveditz] 2006-12-18 15:03:36 PST
Comment on attachment 248719 [details] [diff] [review]
fix

approved for 1.8/1.8.0 branches, a=dveditz for drivers
Comment 6 Brendan Eich [:brendan] 2006-12-18 16:42:29 PST
new revision: 3.104.2.30; previous revision: 3.104.2.29
new revision: 3.104.2.3.2.16; previous revision: 3.104.2.3.2.15

/be

Note You need to log in before you can comment on or make changes to this bug.